<?php
/*
 * Template Name: Archive
 * Description: A Page Template with a Page Builder design.
 */
     $fundee_redux_demo = get_option('redux_demo');
     get_header('home1'); 
?>
<?php if(isset($fundee_redux_demo['blog_image']['url']) && $fundee_redux_demo['blog_image']['url'] != ''){?> 
<div class="breadcrumb-area pt-150 pb-155" style="background-image:url(<?php echo esc_url($fundee_redux_demo['blog_image']['url']);?>)">
<?php }else{?>
<div class="breadcrumb-area pt-150 pb-155" style="background-image:url(<?php echo get_template_directory_uri();?>/assets/img/bg/bg-13.jpg)">
<?php } ?> 
    <div class="container">
        <div class="row">
            <div class="col-xl-12">
                <div class="breadcrumb-text text-center">
                    <h1>
                        <?php
                        if ( is_day() ) :
                            printf( esc_html__( 'Daily Archives: %s', 'fundee' ), get_the_date() );
                        elseif ( is_month() ) :
                            printf( esc_html__( 'Monthly Archives: %s', 'fundee' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'fundee' ) ) );
                        elseif ( is_year() ) :
                            printf( esc_html__( 'Yearly Archives: %s', 'fundee' ), get_the_date( _x( 'Y', 'yearly archives date format', 'fundee' ) ) );
                        else :
                            echo esc_html__( 'Archives', 'fundee' );
                        endif;?>
                    </h1>
                    <ul class="breadcrumb-menu">
                        <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'fundee' );?></a>
                        </li>
                        <li>
                            <span>
                                <?php if(isset($fundee_redux_demo['blog_title'])){?>
                                <?php echo htmlspecialchars_decode(esc_attr($fundee_redux_demo['blog_title']));?>
                                <?php }else{?>
                                <?php echo esc_html__( 'Blog Standard', 'fundee' ); } ?>
                            </span>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- breadcrumb-area-end -->

<!-- blog-area-start -->
<div class="blog-grid-area pt-130 pb-100">
    <div class="container">
        <div class="row">
            <div class="col-xl-8 col-lg-8 mb-30">
                <?php while (have_posts()): the_post(); 
                $single_audio = get_post_meta(get_the_ID(),'_cmb_single_audio', true);
                $single_video = get_post_meta(get_the_ID(),'_cmb_single_video', true);
                ?>
                <div class="blog-wrapper blog-standard mb-60">
                    <?php if ( has_post_format('video') ) { ?>
                        <div class="blog-img  pos-rel">
                            <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="">
                            <div class="blog-video-icon">
                                <a class="popup-video" href="<?php echo esc_url($single_video);?>"><i class="fas fa-play"></i></a>
                            </div>
                        </div>
                    <?php } elseif ( has_post_format('gallery') ) { ?>
                            <div class="postbox__gallery">
                                <?php $gallery = get_post_gallery( get_the_ID(), false );
                                if(isset($gallery['ids'])){    
                                    $gallery_ids = $gallery['ids'];
                                    $img_ids = explode(",",$gallery_ids);
                                    $i=0; $j=0;?>
                                    <?php   
                                    foreach( $img_ids AS $img_id ){ 
                                        $image_src = wp_get_attachment_image_src($img_id,''); 
                                        ?>
                                        <img src="<?php echo esc_url($image_src[0]); ?>" alt="blog image">
                                <?php } } ?>
                            </div>
                    <?php } elseif ( has_post_format('audio') ) { ?>
                        <div class="postbox__audio embed-responsive embed-responsive-16by9 mb-30">
                            <iframe src="<?php echo esc_url($single_audio);?>"></iframe>
                        </div>
                    <?php } elseif ( has_post_thumbnail() ) { ?>
                        <?php if (get_post_thumbnail_id() !='')  { ?>
                        <div class="blog-img">
                            <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="">
                        </div>
                        <?php } ?>
                    <?php } ?>
                    <div class="blog-content blog-02-content">
                        <div class="blog-meta">
                            <span><i class="far fa-calendar-alt"></i> <?php the_time(get_option( 'date_format' ));?></span>
                            <span><i class="far fa-comment"></i> <?php comments_number( esc_html__('0 Comments', 'moral'), esc_html__('1 Comment', 'moral'), esc_html__('% Comments', 'moral') ); ?></span>
                        </div>
                        <div class="blog-title">
                            <h3><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h3>
                        </div>
                        <p>
                            <?php if(isset($fundee_redux_demo['blog_excerpt'])){?>
                            <?php echo esc_attr(fundee_excerpt($fundee_redux_demo['blog_excerpt'])); ?>
                            <?php }else{?>
                            <?php echo esc_attr(fundee_excerpt(50)); } ?>
                        </p>
                        <a class="btn green-btn" href="<?php the_permalink();?>">
                                <?php if(isset($fundee_redux_demo['read_more'])){?>
                                <?php echo htmlspecialchars_decode(esc_attr($fundee_redux_demo['read_more']));?>
                                <?php }else{?>
                                <?php echo esc_html__( 'Read more', 'fundee' ); } ?> <i class="far fa-long-arrow-right"></i>
                        </a>
                    </div>
                </div>
                <?php endwhile; ?>
                <div class="row">
                    <div class="col-xl-12">
                        <div class="basic-pagination mt-10">
                            <?php 
                                $pagination = array(
                                'base'      => str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) ),
                                'format'    => '',
                                'prev_text' => wp_specialchars_decode(esc_html__( '<i class="fas fa-chevron-left"></i>', 'piohost' ),ENT_QUOTES),
                                'next_text' => wp_specialchars_decode(esc_html__( '<i class="fas fa-chevron-right"></i>', 'piohost' ),ENT_QUOTES),
                                'type'      => 'list',
                                'end_size'    => 3,
                                'mid_size'    => 3
                            );
                            if(paginate_links( $pagination ) != ''){
                                $return =  paginate_links( $pagination );
                                echo str_replace( "<ul class='page-numbers'>", '<ul class="styled-pagination">', $return );
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4 mb-30">
                <?php get_sidebar();?> 
            </div>
        </div>
    </div>
</div>

    <!-- FOOTER -->
<?php
    get_footer();
?>