<?php
/*
 * Template Name: Contact
 * Description: A Page Template with a Page Builder design.
 */
$fundee_redux_demo = get_option('redux_demo');
get_header(); ?>
<div class="breadcrumb-area pt-150 pb-155" style="background-image:url(<?php echo get_template_directory_uri();?>/assets/img/bg/bg-13.jpg)">
    <div class="container">
        <div class="row">
            <div class="col-xl-12">
                <div class="breadcrumb-text text-center">
                    <h1>contact</h1>
                    <ul class="breadcrumb-menu">
                        <li><a href="<?php echo esc_url(home_url('/')); ?>">home</a></li>
                        <li><span>contact</span></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- breadcrumb-area-end -->

<!-- contact-address-area-strat -->
<div class="contact-box-area pt-130 pb-130">
    <div class="container">
        <div class="contact-box-bg">
            <div class="row">
                <div class="col-xl-4 col-lg-4 col-md-6 mb-30">
                    <div class="contact-box-wrapper text-center">
                        <div class="contact-box-icon-img mb-35">
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/icon/a1.png" alt="">
                        </div>
                        <div class="contact-box-img">
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/icon/line.png" alt="">
                         </div>
                         <div class="contact-box-text">
                             <p>340 West 42nd Street, Golly</p>
                             <p>New York, NY 10036</p>
                         </div>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-4 col-md-6 mb-30">
                    <div class="contact-box-wrapper text-center">
                        <div class="contact-box-icon-img mb-35">
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/icon/a2.png" alt="">
                        </div>
                        <div class="contact-box-img">
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/icon/line.png" alt="">
                         </div>
                         <div class="contact-box-text">
                             <p>supportinfo@gmail.com</p>
                             <p>www.fundeein.net</p>
                         </div>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-4 col-md-6 mb-30">
                    <div class="contact-box-wrapper text-center">
                        <div class="contact-box-icon-img mb-35">
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/icon/a3.png" alt="">
                        </div>
                        <div class="contact-box-img">
                            <img src="<?php echo get_template_directory_uri();?>/assets/img/icon/line.png" alt="">
                         </div>
                         <div class="contact-box-text">
                             <p>+989 7896 8963</p>
                             <p>+87 (555) 663 222 88</p>
                         </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- contact-address-area-end -->

<!-- map-area-start -->
<div class="map-area">
    <div class="map-wrapper">
        <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d387190.2799012645!2d-74.259871285404!3d40.697670065932215!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89c24fa5d33f083b%3A0xc80b8f06e177fe62!2zVGjDoG5oIHBo4buRIE5ldyBZb3JrLCBUaeG7g3UgYmFuZyBOZXcgWW9yaywgSG9hIEvhu7M!5e0!3m2!1svi!2s!4v1581669083485!5m2!1svi!2s" width="600" height="450" frameborder="0" style="border:0;" allowfullscreen=""></iframe>
    </div>
</div>
<!-- map-area-end -->

<!-- contact-area-start -->
<div class="contact-area pt-125 pb-130">
    <div class="container">
        <div class="row">
            <div class="col-xl-8 col-lg-8 offset-lg-2 offset-xl-2">
                 <div class="section-title text-center mr-40 ml-40 mb-75">
                     <span><i class="far fa-heart-circle"></i> Message us</span>
                     <h1>Contact With Us</h1>
                 </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-12">
            <?php echo do_shortcode('[contact-form-7 id="161" title="Contact With Us"]');?>
            </div>
        </div>
    </div>
</div>

    <?php
get_footer();
?>